"""Spec fot Text Styling Dot."""

from typing import Optional

from beartype import beartype

from engineai.sdk.dashboard.styling.color.spec import ColorSpec
from engineai.sdk.dashboard.templated_string import TemplatedStringItem

from ..base import BaseItemStyling


class TextStylingDot(BaseItemStyling):
    """Spec for Text Dot Styling Class."""

    _API_TYPE = "TextStylingDotInput"

    @beartype
    def __init__(
        self,
        *,
        color_spec: Optional[ColorSpec] = None,
        data_column: Optional[TemplatedStringItem] = None,
    ):
        """Construct spec for Text Dot Styling.

        Args:
            color_spec (Optional[ColorSpec): specs for color.
            data_column (Optional[TemplatedStringItem]): styling value key.
                Defaults to None.
        """
        super().__init__(
            color_spec=color_spec,
            data_column=data_column,
        )
